pcl::octree::OctreePointCloudVoxelCentroidContainer< PointT > Class Template Reference

Octree pointcloud voxel centroid leaf node class More...

`#include <pcl/octree/octree_pointcloud_voxelcentroid.h>`

Inheritance diagram for pcl::octree::OctreePointCloudVoxelCentroidContainer< PointT >:

## Public Member Functions

| OctreePointCloudVoxelCentroidContainer ()
| Class initialization. More...
virtual | ~OctreePointCloudVoxelCentroidContainer ()
| Empty class deconstructor. More...
virtual OctreePointCloudVoxelCentroidContainer * | deepCopy () const
| deep copy function More...
virtual bool | operator== (const OctreeContainerBase &) const
| Equal comparison operator - set to false. More...
void | addPoint (const PointT &new_point)
| Add new point to voxel. More...
void | getCentroid (PointT &centroid_arg) const
| Calculate centroid of voxel. More...
virtual void | reset ()
| Reset leaf container. More...
Public Member Functions inherited from pcl::octree::OctreeContainerBase
| OctreeContainerBase ()
| Empty constructor. More...
| OctreeContainerBase (const OctreeContainerBase &)
| Empty constructor. More...
virtual | ~OctreeContainerBase ()
| Empty deconstructor. More...
bool | operator!= (const OctreeContainerBase &other) const
| Inequal comparison operator. More...
virtual size_t | getSize () const
| Pure abstract method to get size of container (number of indices) More...
void | addPointIndex (const int &)
| Empty addPointIndex implementation. More...
void | getPointIndex (int &) const
| Empty getPointIndex implementation as this leaf node does not store any point indices. More...
void | getPointIndices (std::vector< int > &) const
| Empty getPointIndices implementation as this leaf node does not store any data. More...

## Detailed Description

### template<typename PointT>
class pcl::octree::OctreePointCloudVoxelCentroidContainer< PointT >

Octree pointcloud voxel centroid leaf node class

Note
  This class implements a leaf node that calculates the mean centroid of all points added this octree container.

Author
  Julius Kammerl (juliu.nosp@m.s@ka.nosp@m.mmerl.nosp@m..de)

Definition at line 58 of file octree_pointcloud_voxelcentroid.h.

## Constructor & Destructor Documentation

template<typename PointT>

pcl::octree::OctreePointCloudVoxelCentroidContainer< PointT >::OctreePointCloudVoxelCentroidContainer | ( |  | ) |

inline

Class initialization.

Definition at line 62 of file octree_pointcloud_voxelcentroid.h.

References pcl::octree::OctreePointCloudVoxelCentroidContainer< PointT >::reset().

template<typename PointT>

virtual pcl::octree::OctreePointCloudVoxelCentroidContainer< PointT >::~OctreePointCloudVoxelCentroidContainer | ( |  | ) |

inline virtual

Empty class deconstructor.

Definition at line 68 of file octree_pointcloud_voxelcentroid.h.

## Member Function Documentation

template<typename PointT>

void pcl::octree::OctreePointCloudVoxelCentroidContainer< PointT >::addPoint | ( | const PointT & | new_point | ) |

inline

Add new point to voxel.

Parameters

  [in] | new_point | the new point to add

Definition at line 91 of file octree_pointcloud_voxelcentroid.h.

template<typename PointT>

virtual OctreePointCloudVoxelCentroidContainer* pcl::octree::OctreePointCloudVoxelCentroidContainer< PointT >::deepCopy | ( |  | ) | const

inline virtual

deep copy function

Definition at line 74 of file octree_pointcloud_voxelcentroid.h.

template<typename PointT>

void pcl::octree::OctreePointCloudVoxelCentroidContainer< PointT >::getCentroid | ( | PointT & | centroid_arg | ) | const

inline

Calculate centroid of voxel.

Parameters

  [out] | centroid_arg | the resultant centroid of the voxel

Definition at line 104 of file octree_pointcloud_voxelcentroid.h.

template<typename PointT>

virtual bool pcl::octree::OctreePointCloudVoxelCentroidContainer< PointT >::operator== | ( | const OctreeContainerBase & |  | ) | const

inline virtual

Equal comparison operator - set to false.

Reimplemented from pcl::octree::OctreeContainerBase.

Definition at line 82 of file octree_pointcloud_voxelcentroid.h.

template<typename PointT>

virtual void pcl::octree::OctreePointCloudVoxelCentroidContainer< PointT >::reset | ( |  | ) |

inline virtual

Reset leaf container.

Implements pcl::octree::OctreeContainerBase.

Definition at line 121 of file octree_pointcloud_voxelcentroid.h.

Referenced by pcl::octree::OctreePointCloudVoxelCentroidContainer< PointT >::OctreePointCloudVoxelCentroidContainer().

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/octree/include/pcl/octree/octree_pointcloud_voxelcentroid.h